更新日志

2017 年 08 月 19 日:

  • 升级:PHP 到版本 7.0.22,7.1.8;
  • 升级:MariaDB 到版本 10.0.32,10.1.26,10.2.8;
  • 升级:nghttp2 到版本 1.25.0;
  • 升级:Swoole 到版本 1.9.18;
  • 升级:ImageMagick 到版本 7.0.6-6;
  • 升级:GraphicsMagick 到版本 1.3.26;
  • 升级:memcached 到版本 1.5.0;
  • 升级:redis 到版本 3.1.3;
  • 升级:PHP 的 mongodb 扩展到版本 1.3.0beta1;
  • 修正:EPEL 在某些 VPS 里安装后默认不启用的问题;
  • 修正:升级 PHP 的脚本中关于 MySQL 的编译选项,改为 mysqlnd 模式。

2017 年 08 月 02 日:

  • 升级:PHP 到版本 7.0.21,7.1.7;
  • 升级:Apache 到版本 2.4.27;
  • 升级:MySQL 到版本 5.5.57,5.6.37,5.7.19;
  • 升级:MariaDB 到版本 5.5.57,10.1.25;
  • 升级:Percona Server 到版本 5.6.36-82.1,5.7.18-16;
  • 升级:phpMyAdmin 到版本 4.7.3;
  • 新增:MariaDB 版本 10.2.7;
  • 修正:PHP 编译数据库的选项;
  • 修正:二进制安装 MySQL 时下载的文件名(从 glibc2.5 到 glibc2.12);
  • 修正:升级 PHP 时不再用旧的 extensions 的 so 文件覆盖新的(比如 opcache.so);
  • 修正:安装 Apache 2.4 时缺少 expat-devel 依赖包。

2017 年 06 月 28 日:

  • 升级:PHP 到版本 7.0.20,7.1.6;
  • 升级:Apache 到版本 2.4.26;
  • 升级:nghttp2 到版本 1.23.0;
  • 升级:openssl 到版本 1.0.2l;
  • 升级:MariaDB 到版本 10.1.24;
  • 修正:MySQL 5.7 和 Percona Server 5.7 初始化数据库时缺少 password 列的错误提示;
  • 修正:Apache 的配置文件 httpd-info.conf。

2017 年 05 月 27 日:

  • 升级:PHP 到版本 7.0.19,7.1.5;
  • 升级:MariaDB 到版本 10.0.31;
  • 升级:Percona Server 到版本 5.5.55-38.8,5.7.18-15;
  • 升级:phpMyAdmin 到版本 4.7.1;
  • 修正:升级 phpMyAdmin 时根据已安装版本来选择升级对应的版本。

2017 年 05 月 06 日:

  • 重构:数据库安装,部分功能合并为统一函数来处理;
  • 新增:PHP 第三方模块:Xdebug 的可选安装;
  • 新增:phpMyAdmin 最新版 4.7.0(支持 PHP 5.5+),当选择 PHP 5.3 或 5.4 时,仍安装 4.4.15.10。

2017 年 05 月 05 日:

  • 升级:MariaDB 到版本 5.5.56;
  • 修改:不再编译,改为官方原版二进制文件安装 Percona Server;
  • 修正:升级数据库脚本的一些错误。

2017 年 05 月 04 日:

  • 升级:MySQL 到版本 5.5.56;
  • 升级:nghttp2 到版本 1.22.0;
  • 升级:MariaDB 到版本 10.1.23;
  • 优化:PHP 的编译选项,新增模块:dba, enchant, odbc, mysqlnd, pspell, tidy;
  • 优化:判断系统已安装 openssl 版本小于 1.0.2 时才编译安装 openssl 1.0.2k;
  • 优化:脚本安装信息的显示,不再显示无关紧要的部分,并以颜色表示;
  • 修改:不再编译,改为官方原版二进制文件安装 MySQL;
  • 删除:对 CentOS 5 和 Debian 6 的支持。

2017 年 04 月 23 日:

  • 升级:PHP 到版本 7.0.18,7.1.4;
  • 升级:MySQL 到版本 5.5.55,5.6.36,5.7.18;
  • 升级:Percona Server 到版本 5.7.17-13;
  • 升级:MariaDB 到版本 5.5.55;
  • 新增:nghttp2 到版本 1.21.1;
  • 新增:openssl 到版本 1.0.2k;
  • 新增:Apache 2.4 模块 mod_http2,开始支持 http2;
  • 新增:英文版 index.html 和 PHP 探针,并默认使用英文版;
  • 优化:Apache 2.4 的编译参数,尽可能多地编译模块;
  • 优化:卸载 LAMP 中的拼写错误;
  • 优化:重构部分代码,修正获取最新版 MySQl 和 Percona Server 的代码;
  • 修正:在 Ubuntu 17.04 下安装 libpng12-dev 包不存在的问题;
  • 修正:在 Ubuntu 17.04 下编译 PHP 时 libcurl 的路径问题。

2017 年 03 月 25 日:

  • 升级:PHP 到版本 7.0.17,7.1.3;
  • 升级:Percona Server 到版本 5.5.54-38.7,5.6.35-81.0,5.7.17-12;
  • 升级:MariaDB 到版本 5.5.54,10.0.30,10.1.22;
  • 升级:PHP 扩展 redis 到版本 3.1.2;
  • 升级:Swoole 到版本 2.0.7;
  • 修正:安装 PHP 7.1 时,选择 redis 和 gmagick 扩展却没有安装的问题。

2017 年 02 月 25 日:

  • 升级:PHP 到版本 7.0.16,7.1.2;
  • 升级:phpMyAdmin 到版本 4.4.15.10;
  • 升级:Percona Server 到版本 5.5.54-38.6,5.6.35-80.0,5.7.17-11;
  • 升级:ImageMagick 到版本 7.0.5-0;
  • 升级:Swoole 到版本 2.0.6;
  • 升级:Redis Server 到版本 3.2.8;
  • 修正:编译 libedit 的 configure option。

2017 年 01 月 22 日:

  • 升级:Apache 到版本 2.2.32;
  • 升级:PHP 到版本 5.6.30,7.0.15,7.1.1;
  • 升级:MariaDB 到版本 10.0.29,10.1.21;
  • 修正:升级 PHP 版本时对 PHP 7.1 的更新支持;
  • 修正:备份脚本 backup.sh 中对 ftp 命令的必要检查。

2016 年 12 月 23 日:

  • 升级:Apache 到版本 2.4.25;
  • 升级:PHP 到版本 5.6.29,7.0.14;
  • 升级:MySQL 到版本 5.5.54,5.6.35,5.7.17;
  • 升级:MariaDB 到版本 10.1.20;
  • 升级:Percona Server 到版本 5.5.53-38.5,5.6.34-79.1,5.7.16-10;
  • 升级:ImageMagick 到版本 7.0.3-8;
  • 升级:phpMyAdmin 到版本 4.4.15.9;
  • 升级:Swoole 到版本 1.9.1;
  • 新增:PHP 版本 7.1.0 的支持;
  • 新增:备份脚本 backup.sh 上传到 FTP 的选项。

2016 年 11 月 12 日:

  • 升级:PHP 到版本 5.6.28,7.0.13;
  • 升级:MySQL 到版本 5.5.53,5.6.34,5.7.16;
  • 升级:MariaDB 到版本 5.5.53,10.0.28,10.1.19;
  • 升级:Percona Server 到版本 5.6.33-79.0,5.7.15-9;
  • 修正:使用 lamp add 命令新增虚拟主机时,如创建数据库,则默认字符集为UTF-8。

2016 年 10 月 15 日:

  • 升级:PHP 到版本 5.6.27,7.0.12;
  • 升级:MySQL 到版本 5.5.53,5.6.34,5.7.16;
  • 升级:MariaDB 到版本 10.1.18;
  • 升级:Percona Server 版本 5.5.52-38.3;
  • 升级:Swoole 到版本 1.8.12;
  • 升级:ioncube loaders 到版本 6.0.5(支持 PHP 7.0);
  • 升级:ImageMagick 到版本 7.0.3-2。

2016 年 09 月 23 日:

  • 升级:PHP 到版本 5.6.26,7.0.11;
  • 升级:MySQL 到版本 5.5.52,5.6.33,5.7.15;
  • 升级:MariaDB 到版本 5.5.52,10.0.27;
  • 升级:Percona Server 版本 5.5.51-38.2,5.6.32-78.1,5.7.14-8;
  • 升级:Swoole 到版本 1.8.10;
  • 优化:PHP 扩展 gmagick、redis 基于 PHP 7 和 PHP 5 分别安装不同版本以达到兼容;
  • 修正:选择不安装 phpMyAdmin 依然安装的问题;
  • 新增:备份脚本 backup.sh。

2016 年 09 月 03 日:

  • 新增:Percona Server 版本 5.5.51-38.1,5.6.32-78.0,5.7.14-7;
  • 新增:根据 IP 地址判断国家,从而选择最优下载链接(安装 MariaDB 时);
  • 新增:PHP module:snmp;
  • 升级:MariaDB 到版本 10.1.17;
  • 修正:安装依赖时若出现错误,则报错退出;
  • 优化:安装时的若干细节优化。

2016 年 08 月 20 日:

  • 升级:PHP 到版本 5.6.25,7.0.10;
  • 升级:MariaDB 到版本 5.5.51;
  • 升级:MySQL 到版本 5.5.51,5.6.32,5.7.14;
  • 升级:phpMyAdmin 到版本 4.4.15.8;
  • 升级:Swoole 到版本 1.8.8;
  • 修正:偶尔会同期时间不正确的问题。

2016 年 07 月 23 日:

  • 升级:Apache 到版本 2.4.23;
  • 升级:PHP 到版本 5.5.38,5.6.24,7.0.9;
  • 升级:MariaDB 到版本 10.1.16。

2016 年 06 月 26 日:

  • 升级:PHP 到版本 5.5.37,5.6.23,7.0.8;
  • 升级:phpMyAdmin 到版本 4.4.15.7;
  • 升级:MySQL 到版本 5.5.50,5.6.31,5.7.13;
  • 升级:MariaDB 到版本 5.5.50,10.0.26,10.1.14。

2016 年 05 月 28 日:

  • 升级:PHP 到版本 5.5.36,5.6.22,7.0.7;
  • 升级:phpMyAdmin 到版本 4.4.15.6;
  • 升级:Swoole 到版本 1.8.5;
  • 升级:memcached 到版本 1.4.25;
  • 升级:Redis 到版本 3.2.0。

2016 年 05 月 08 日:

  • 升级:Apache 到版本 2.4.20;
  • 升级:MariaDB 到版本 5.5.49,10.0.25;
  • 升级:ImageMagick 到版本 6.9.3-10;
  • 修正:针对 httpd-2.4.18 中 modules/ssl/ssl_engine_io.c 第 220 行末尾缺少一个分号的错误,撤销其补丁;
  • 修正:升级 PHP 时 cannot find -liconv 的错误。

2016 年 05 月 05 日:

  • 升级:PHP 到版本 5.5.35,5.6.21,7.0.6;
  • 修正:默认删除 yum 或 apt-get 安装的 Apache 和 MySQL 软件包;
  • 新增:在 CentOS 7 下对防火墙 80 和 443 端口放行。

2016 年 04 月 09 日(重大更新):

  • 全面支持 CentOS/RadHat/Debian/Ubuntu 系统;
  • Apache 可选版本 2.2.31,2.4.18;
  • MySQL 可选版本 5.5.48,5.6.29,5.7.11;
  • MariaDB 可选版本 5.5.48, 10.0.24,10.1.13;
  • PHP 可选版本 5.3.29,5.4.45,5.5.34,5.6.20,7.0.5;
  • phpMyAdmin 版本 4.4.15.5;
  • 新增安装 Swoole 扩展;
  • 去除安装 oci8 扩展。

2016 年 02 月 28 日:

  • 升级 MySQL 到版本 5.5.48,5.6.29;
  • 升级 MariaDB 到版本 5.5.48, 10.0.24。

2016 年 02 月 06 日:

  • 升级 PHP 到版本 5.5.32,5.6.18,7.0.3;
  • 升级 phpMyAdmin 到版本 4.4.15.4。

2016 年 01 月 08 日:

  • 升级 PHP 到版本 5.5.31,5.6.17,7.0.2。

2015 年 12 月 28 日:

  • 升级 Apache 到版本 2.4.18;
  • 升级 PHP 到版本 7.0.1;
  • 升级 MariaDB 到版本 5.5.47, 10.0.23;
  • 升级 phpMyAdmin 到版本 4.4.15.2。

2015 年 12 月 15 日:

  • 新增脚本 redis.sh,用于安装 Redis Server 及其 PHP 扩展。

2015 年 12 月 12 日:

  • 升级 MySQL 到版本 5.6.28。

2015 年 12 月 07 日:

  • 升级 MySQL 到版本 5.5.47。

2015 年 12 月 06 日:

  • 新增安装 PHP 版本 7.0.0;
  • 修正了雅黑探针在 PHP 7.0.0 下的若干错误;
  • 修正了在 CentOS 5 下安装 PHP 7.0 时,gmp 版本过低的问题;
  • PHP 7.0.0 下安装 OCI8 版本为 2.1.0(安装包提取自 php-7.0.0)。

2015 年 11 月 28 日:

  • 升级 PHP 到版本 5.6.16。

2015 年 11 月 22 日:

  • 升级 OCI8 到版本 2.0.10(安装包提取自 php-5.6.16);
  • 修正了在 CentOS 5 下安装 PHP 5.5 或 5.6 时,ICU 版本过低的问题;
  • 升级 GraphicsMagick 到版本 1.3.23;
  • 升级 ImageMagick 到版本 6.9.2-6。

2015 年 11 月 08 日:

  • 升级 Apache 到版本 2.4.17;
  • 升级 memcached 到版本 1.4.24;
  • 升级 ZendOPcache 到版本 7.0.5;
  • 升级 ionCube PHP Loader 到版本 5.0.19。

2015 年 10 月 31 日:

  • 升级 MariaDB 到版本 5.5.46, 10.0.22;
  • 升级 PHP 至版本 5.6.15;
  • 升级 phpMyAdmin 到版本 4.4.15.1。

2015 年 10 月 08 日:

  • 升级 MySQL 至版本 5.5.46,5.6.27;
  • 升级 PHP 至版本 5.5.30,5.6.14。

2015 年 09 月 25 日:

  • 升级 phpMyAdmin 至版本 4.4.15;
  • 因 PHP5.4.45 已是 5.4 最后一个版本号,更改默认安装的 PHP 版本为 5.5;
  • 选择安装软件版本时显示完整的版本号。

2015 年 09 月 16 日:

  • 升级 phpMyAdmin 至版本 4.4.14.1;
  • 更新脚本注释和默认页的 URL 为本站域名。

2015 年 09 月 06 日:

  • 升级 PHP 至版本 5.4.45,5.5.29,5.6.13。

2015 年 08 月 28 日:

  • 优化在小内存(480-512MB)下的安装;
  • 优化 MySQL 的安装过程,以及根据内存大小调整 MySQL 的配置文件;
  • 优化安装过程中对内存的占用;
  • 升级 MariaDB 至版本 5.5.45,10.0.21。

2015 年 08 月 27 日:

  • 升级 phpMyAdmin 至版本 4.4.14;
  • 升级 pure-ftpd 到版本 1.0.42;
  • 修正可选安装的脚本中获取 PHP 版本号的判断逻辑。

2015 年 08 月 15 日:

  • 升级 PHP 至版本 5.4.44,5.5.28,5.6.12;
  • 升级 phpMyAdmin 至版本 4.4.13.1。

2015 年 07 月 28 日:

  • 升级 MySQL 至版本 5.5.45,5.6.26;
  • 升级 phpMyAdmin 至版本 4.4.12。

2015 年 07 月 18 日:

  • 新增脚本 upgrade_apache.sh,自动升级 Apache 至最新版本。

2015 年 07 月 17 日:

  • 升级 Apache 至版本 2.4.16;
  • 升级 apr 至版本 1.5.2。

2015 年 07 月 12 日:

  • 升级 PHP 至版本 5.4.43,5.5.27,5.6.11;
  • 升级 phpMyAdmin 至版本 4.4.11;
  • 升级 MariaDB 至版本 10.0.20;
  • 升级获取 phpMyAdmin 最新版本的 URL(phpMyAdmin 源码不再托管在 sourceforge 导致的)。

2015 年 06 月 18 日:

  • 升级 MariaDB 至版本 5.5.44;
  • 升级 phpMyAdmin 至版本 4.4.10。

2015 年 06 月 12 日:

  • 升级 PHP 至版本 5.4.42,5.5.26,5.6.10。

2015 年 06 月 05 日:

  • 升级 MySQL 至版本 5.5.44,5.6.25;
  • 升级 phpMyAdmin 至版本 4.4.9。

2015 年 05 月 28 日:

  • 升级 phpMyAdmin 至版本 4.4.8;
  • 更新获取 IP 地址的方式。

2015 年 05 月 20 日:

  • 升级 MariaDB 至版本 5.5.43,10.0.19;
  • 升级 PHP 至版本 5.4.41,5.5.25,新增对 PHP 5.6 的支持;
  • 升级 phpMyAdmin 至版本 4.4.7。

2015 年 04 月 28 日:

  • 升级 phpMyAdmin 至版本 4.4.4;
  • 修改默认页,增加 LAMP 使用说明的链接。

2015 年 04 月 20 日:

  • 新增脚本 mongodb.sh,一键安装 MongoDB 的 PHP 扩展;
  • 升级 PHP 至版本 5.4.40,5.5.24。

2015 年 04 月 14 日:

  • 升级 phpMyAdmin 至版本 4.4.2;
  • 升级 MySQL 至版本 5.5.43,5.6.24。

2015 年 02 月 25 日:

  • 升级 phpMyAdmin 至版本 4.3.10;
  • 升级 PHP 至版本 5.4.38,5.5.22;
  • 升级 MySQL 至版本 5.5.42,5.6.23;
  • 升级 MariaDB 至版本 5.5.42,10.0.16;
  • 升级 Apache 至版本 2.4.12;
  • 升级 apr-util 至版本 1.5.4。

2015 年 01 月 29 日:

  • 升级 phpMyAdmin 至版本 4.3.8;
  • 升级 PHP 至版本 5.4.37,5.5.21。

2015 年 01 月 08 日:

  • 升级 phpMyAdmin 至版本 4.3.6。

2015 年 01 月 06 日:

  • 升级 phpMyAdmin 至版本 4.3.5。

在此之前的升级日志,请参考这里

评论已关闭